import request from '@/utils/request'
import { pureResponseData } from './utils'

export function getActivity(id) {
  return pureResponseData(request({
    url: `/api/admin/activity/${id}`,
    method: 'get'
  }))
}

export function getActivityList(params) {
  return pureResponseData(request({
    url: `/api/admin/activity`,
    method: 'get',
    params
  }))
}

export function updateActivity(data) {
  return pureResponseData(request({
    url: `/api/admin/activity/${data.activityId}`,
    method: 'put',
    data
  }))
}

export function saveActivity(data) {
  return pureResponseData(request({
    url: '/api/admin/activity',
    method: 'post',
    data
  }))
}

export function getEnrollList(params) {
  return pureResponseData(request({
    url: `/api/admin/activityEnroll`,
    method: 'get',
    params
  }))
}

export function getVoteItems(activityId) {
  return pureResponseData(request({
    url: `/api/admin/activity/${activityId}/voteitem`,
    method: 'get'
  }))
}

export function saveVoteItems(activityId, data) {
  return pureResponseData(request({
    url: `/api/admin/activity/${activityId}/voteitem`,
    method: 'post',
    data
  }))
}
